% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/FIN_plot.R
\name{plot.seiqhrf}
\alias{plot.seiqhrf}
\title{Plot simulation result}
\usage{
\method{plot}{seiqhrf}(
  x,
  method = NULL,
  comp_remove = "none",
  time_lim = 100,
  trans = "na",
  known = NULL,
  start_date = ymd("2020-03-21"),
  x_axis = "Days since beginning of epidemic",
  plot_title = "SEIQHRF",
  ...
)
}
\arguments{
\item{x}{An seiqhrf object returned from function \code{\link{seiqhrf}}.}

\item{method}{If "times", plot Duration frequency distributions.
If NULL, plot individuals models or mutliple models for comparison.}

\item{comp_remove}{Compartments to remove. Suggest c(s.num, r.num)}

\item{time_lim}{Number of steps (days) to plot.}

\item{trans}{Y-axis transformation (e.g. log2, log10). Default = none.}

\item{known}{Dataframe with known compartment numbers to plot alongside
projections}

\item{start_date}{Date for day 0. Default: ymd("2020-03-21"),}

\item{x_axis}{Title for x-axis. Default: 'Days since beginning of epidemic'}

\item{plot_title}{Title for whole plot. Default: 'SEIQHRF plot'}

\item{...}{Additional parameters}
}
\value{
ggplot2 object
}
\description{
Function to extract timings, prevalence etc. from the simulation
}
